TPM(4) | Device Drivers Manual | TPM(4)

# NAME

`tpm` —
Trusted Platform Module

# SYNOPSIS

`tpm* at isa? iomem 0xfed40000`
`tpm* at acpi?`

# DESCRIPTION

The `tpm` driver provides support for various Trusted Platform Module (TPM) chips.

Supported modules:

- TPM 2.0 chips over ACPI
- TPM 1.2 chips over ISA

Note that the supported interface version is TIS1.2 in each case.

# SEE ALSO

config(1), intro(4)

# AUTHORS

The `tpm` driver was written by Maxime Villard, Michael Shalayeff and Hans-Joerg Hoexer.

October 6, 2019 | NetBSD 9.0